## util-vserver 0.30.210-8bpo2

=== man/Makefile ===
all: vserver.8 vserver-build.8

%.8: %.pod
	pod2man --section=8 --center=util-vserver --release=util-vserver $< $@

vserver.8: vserver.pod
vserver-build.8: vserver-build.pod

=== debian/changelog ===
util-vserver (0.30.210-8bpo2) sarge-backports; urgency=low

  * Update vserver bash completion script to one thats not broken

 --  <micah@sarge.pond.riseup.net>  Sun, 11 Jun 2006 14:55:05 +0000

util-vserver (0.30.210-8bpo1) sarge-backports; urgency=low

  * Update build against 0.30.210-9, adds recommends on debootstrap 
    and yum, adds french translation, start vserers patch updated and 
    vserver bash completion script added (Closes: #371088)
  * Updated Build-depends to also include explicit libbeecrypt6,
    necessary for backport's buildds to pick up the right stuff

 -- Micah Anderson <micah@debian.org>  Sun, 11 Jun 2006 04:20:01 +0000

util-vserver (0.30.210-7bpo1) sarge-backports; urgency=low
  
  * Build against 0.30.210-8 to fix vdirbase symlink,
    extra installed files, update vcontext, chroot barrier,
    ability to install fedora core 5 guests, and other fixes
  * Update debian/control to have specific backports version depends
    
 -- Micah Anderson <micah@debian.org>  Wed, 19 Apr 2006 13:49:52 +0000

util-vserver (0.30.210-5bpo1) sarge-backports; urgency=low

  * Build against 0.30.210-6 to resolve vlogin, delete
    and removed build-dep on dietlibc

 -- Micah Anderson <micah@debian.org>  Fri,  7 Apr 2006 14:26:16 -0400

util-vserver (0.30.210-4bpo1) sarge-backports; urgency=low

  * Unstable version 0.30.210-5 recompiled for <http://www.backports.org/>
  * Add --enable-apis=NOLEGACY to configure in debian/rules to allow
    tools to work with sarge kernels
  * Conflict with vserver-debiantools

 -- Micah Anderson <micah@debian.org>  Tue,  4 Apr 2006 18:03:16 -0400

util-vserver (0.30.210-8) unstable; urgency=low

  * Removed build-time tests from debian/rules (Closes: #362887)
  * Update description to fix URL (Closes: #363342)
  * Update description to be more up to date (Closes: #363343)
  * Fix replacement of /etc/vservers/.defaults/vdirbase even if it
    has been modified locally (Closes: #361382)

 -- Micah Anderson <micah@debian.org>  Sun, 16 Apr 2006 00:37:27 -0400

util-vserver (0.30.210-7) unstable; urgency=low

  * Fixed extra file installed in /etc/default (Closes: #361374)
  * Updated vcontext --uid patch fixing segfaults when called with 
    incorrect usernames, and missing hunks for chkconfig in scripts/vserver
  * Updated chroot barrier setting in initscript
  * Added build-time tests to debian/rules
  * Added apis patch to fix a typo and allowing for specifying oldproc and
    olduts in --enable-apis in configure
  * Added condrestart patch to fix conditional restarts in 'vserver'
  * Added cpuset support patch 
  * Added patch to fix nice function
  * Added prefix configure patch fix
  * Added patch to warn that gentoo initstyle is not an option
  * Added patch to fix start-vservers --all -stop not actually stopping all
    vservers, just marked ones
  * Added patch to fix vserver usage message to be more clear
  * Added a patch that lets you install Fedora Core 5 guests
  * Thanks go to Daniel Hokka Zakrisson!

 -- Micah Anderson <micah@debian.org>  Fri,  7 Apr 2006 16:57:06 -0400

util-vserver (0.30.210-6) unstable; urgency=low

  * Updated vserver delete patch 
  * Updated vlogin patch to 1.10

 -- Micah Anderson <micah@debian.org>  Thu,  6 Apr 2006 13:33:10 -0400

util-vserver (0.30.210-5) unstable; urgency=low

  * Added patch for vnamespace cleanup, allows you
    to touch /etc/vserver/<vsname>/namespace-cleanup or
    touch /etc/vservers/.defaults/namespace-cleanup globally,
    thanks to Bastian Blank (Closes: #360983)
  * Add patch to cleanup s390 and sparc64 clone_arch, thanks
    to Daniel Hokka Zakrisson (Closes: #361007)
  * Updated vlogin patch, now handles echo better

 -- Micah Anderson <micah@debian.org>  Wed,  5 Apr 2006 16:27:43 -0400

util-vserver (0.30.210-4) unstable; urgency=low

  * Move barrier on non-directories to initscript to try and get
    corner cases (Closes: #360885)
  * Add missing db_stop to postinst

 -- Micah Anderson <micah@debian.org>  Tue,  4 Apr 2006 12:29:06 -0400

util-vserver (0.30.210-3) unstable; urgency=low

  * Removed bashisms from initscript (Closes: #360675)
  * Fixed init script setting barrier on non-directories (Closes: #360765)
  * Updated debconf templates to follow developers reference (Closes: #360755)
  * Added vlogin patch from Daniel Hozac

 -- Micah Anderson <micah@debian.org>  Mon,  3 Apr 2006 11:19:16 -0400

util-vserver (0.30.210-2) unstable; urgency=low

  * Add dpatch to build-depends (Closes: #360563)

 -- Micah Anderson <micah@debian.org>  Sun,  2 Apr 2006 22:12:47 -0400

util-vserver (0.30.210-1) unstable; urgency=low

  * New upstream release (Closes: #343277, #307980)
  * Replaced upstream init scripts with a single init script that
    uses /etc/defaults and attempts to set the chroot barrier on start
  * Added debconf templates to ask if vservers should be controlled by boot
  * Added debconf templates on purge to ask about removing the entire
    /etc/vservers directory
  * Fixed things so we clean up after ourselves on uninstall (Closes: #348234)
  * Fixed start-vservers improper temp file cleanup (Closes: #351556)
  * Added patch to fix s390 clone syscall reversal (Closes: #356417)
  * Change name of testme scripts to be consistant with upstream
  * Add vschedcalc example script for calculating token buckets
  * Add patch to fix suexec from host with an invalid ID running as root
    (Closes: #360438)
  * Add patch to fix vattribute bcaps not being reset
  * Add patch to make chcontext behave as expected with --secure
  * Add patch to add vserver delete option
  * Moved make from a Recommends to a Depends (Closes: #327577)
  * Updated syscall-alternatives.h to -shiny10 patch

 -- Micah Anderson <micah@debian.org>  Thu,  2 Feb 2006 09:45:30 -0500

util-vserver (0.30.209-2) unstable; urgency=low

  * Include delta-0.30.209-shiny8.diff fixing syscalls for mips
    kudos to Greek0 and Bertl
  * Enable hppa build in debian/rules as it is now supported 


=== debian/control ===
Source: util-vserver
Section: net
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Uploaders: Micah Anderson <micah@debian.org>
# Reasons for the Build-Depends:
# * Legacy scripts require:
#     net-tools because of nameif
#     vlan      because of vconfig
#     dietlibc  the libc NSS should not be used
#     beecrypt2-dev to build vhashify
Build-Depends: debhelper (>= 4.1.16e), e2fslibs-dev, gawk, autotools-dev, dietlibc-dev (= 0.29-9bpo1), net-tools, vlan, iptables, wget, procps, modutils|module-init-tools, autoconf (>= 2.52), libbeecrypt6 (>= 4.1.2-3bpo1), libbeecrypt6-dev (>= 4.1.2-3bpo1), po-debconf, dpatch
Standards-Version: 3.6.2

Package: util-vserver
Architecture: any
Depends: ${shlibs:Depends}, iproute, net-tools, make, debconf
Suggests: kernel-patch-vserver, vlan, iptables, wget, procps, modutils|module-init-tools, yum
Recommends: binutils, debootstrap
Conflicts: vserver, vpopmail-bin, vserver-debiantools
Replaces: vserver
Description: user-space tools for Linux-Vserver virtual private servers
 The util-vserver project provides the user-space tools for creating and
 managing the virtualization technology known as vservers. Vservers are a 
 significantly advanced jail mechanism running inside a host linux server.
 Vservers can be used to securely partition resources such as processes, 
 memory, network; logically separate services or run entirely different
 distributions all on a single system. Virtual private servers are separated
 from each other through security contexts, and as a result are completely
 unaware of each other, or of the host itself. 
 .
 http://linux-vserver.org/
 https://savannah.nongnu.org/projects/util-vserver/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

include /usr/share/dpatch/dpatch.make

# (Most of) the files this concerns belong to /usr/lib/util-vserver.
# To keep referencing simple, and because we're not even sure there
# are files belonging to /var/lib/util-vserver, we stay with the default
# so far.
#MAKE_OPTS =  pkglibdir=/var/lib/util-vserver PKGLIBDIR=/var/lib/util-vserver

CFLAGS = -Wall -g 

# Some checks to avoid building on some arches as there is no reserved syscalls
# for the Linux kernel on this arch.
ifeq ($(DEB_HOST_ARCH),arm)
    do_not_buid_this_arch
endif

#ifeq ($(DEB_HOST_ARCH),powerpc)
#    # dietlibc's sys/types.h tests for "powerpc", not "__powerpc__"
#    CFLAGS += -Dpowerpc
#endif

# Commented out as it do no longer build with this...
ifeq ($(DEB_HOST_ARCH),sparc)
    # Targetting at older sparc's causes compilation errors. Steve Langasek
    # says this works and it is anyway the oldest sparc generation we
    # support in Debian (or kernel/glibc).
    CFLAGS += -mcpu=v8
endif

ifeq ($(DEB_HOST_ARCH),hppa)
    # dietlibc fails to define O_NOFOLLOW and O_LARGEFILE. These values
    # have been copied from glibc's bits/fcntl.h.
    # CFLAGS += -DO_NOFOLLOW=00000200 -DO_LARGEFILE=00004000
    # do_not_buid_this_arch
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Fix to make it build on hppa, mipsel and s390
# If this is not fixed, gcc is invoked as a cross compiler.
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   confflags += --build $(DEB_HOST_GNU_TYPE)
else
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	if [ -f config.sub ];then mv config.sub config.sub.orig;fi
	ln -s /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	if [ -f config.guess ];then mv config.guess config.guess.orig;fi
	ln -s /usr/share/misc/config.guess config.guess
endif
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure $(confflags) \
				--prefix=/usr --enable-release \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
				--sysconfdir=/etc --enable-dietlibc \
				--localstatedir=/var \
				--enable-apis=NOLEGACY \
				--with-vrootdir=/var/lib/vservers

build: patch build-stamp

build-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) $(MAKE_OPTS) all
	$(MAKE) -C man

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(MAKE) distclean
	rm -f config.status config.log config.sub config.guess
	if [ -f config.sub.orig ];then \
		rm -f config.sub; \
		mv config.sub.orig config.sub; \
	fi
	if [ -f config.guess.orig ];then \
		rm -f config.guess; \
		mv config.guess.orig config.guess; \
	fi
	# clean up leftover files...
	rm -rf tests/.libs vserver-start/.libs
	debconf-updatepo
	dh_clean

install: patch build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/util-vserver.
	$(MAKE) $(MAKE_OPTS) DESTDIR=$(CURDIR)/debian/util-vserver install install-distribution
	# Fixes
	chmod +x $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/distributions/template/initpre
	chmod +x $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/distributions/template/initpost
	rm -f $(CURDIR)/debian/util-vserver/usr/lib/*.la

	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/vservers-legacy
	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/vservers-default
	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/rebootmgr
	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/vprocunhide

	# have to remove v_ init scripts
	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/v_*
	# remove newvserver.defaults (because that is linuxconf and that is not supported in debian).
	#rm -f $(CURDIR)/debian/util-vserver/etc/vservers/newvserver.defaults
#	# Move util-vserver-vars to /etc/vservers as it is needed for legacy support
#	grep -v "Id: util-vserver-vars.pathsubst,v" \
#		$(CURDIR)/debian/util-vserver/usr/lib/util-vserver/util-vserver-vars \
#		> $(CURDIR)/debian/util-vserver/etc/vservers/util-vserver-vars
#	rm -f $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
#	ln -s /etc/vservers/util-vserver-vars $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
	# Fix for symlinks in /etc/vservers/.defaults
	rm -f $(CURDIR)/debian/util-vserver/etc/vservers/.defaults/vdirbase
	rm -f $(CURDIR)/debian/util-vserver/etc/vservers/.defaults/run.rev
	# Rewrite util-vserver-vars
	perl -pi -e \
	's|^(.*DEFAULT_VSERVERDIR=).*$$|$$1"/etc/vservers/.defaults/vdirbase"|;' \
		debian/util-vserver/usr/lib/util-vserver/util-vserver-vars

	# Remove development files as they are not supported upstream in a
	# proper way.
#	rm -rf $(CURDIR)/debian/util-vserver/usr/include/
#	rm -f $(CURDIR)/debian/util-vserver/usr/lib/*.so*
#	rm -f $(CURDIR)/debian/util-vserver/usr/lib/*.a
#	rm -rf $(CURDIR)/debian/util-vserver/usr/lib/pkgconfig

	mkdir -p $(CURDIR)/debian/util-vserver/etc/bash_completion.d
	cp $(CURDIR)/debian/vserver.bash_completion $(CURDIR)/debian/util-vserver/etc/bash_completion.d/vserver

	# Lintian overrides
	mkdir -p $(CURDIR)/debian/util-vserver/usr/share/lintian/overrides
	install -m644 debian/util-vserver.override $(CURDIR)/debian/util-vserver/usr/share/lintian/overrides/util-vserver

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installdebconf	
	dh_installinit
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -L util-vserver -l debian/util-vserver/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2

http://www.13thfloor.at/vserver/s_rel26/v2.0/ util-vserver-(.*)\.tar\.gz

## util-vserver 0.30.216~r2772-6~bpo40+1

=== debian/changelog ===
util-vserver (0.30.216~r2772-6~bpo40+1) etch-backports; urgency=low

  * Backport testing version for backports.org
  * Change Build-dep to require 0.31-1.2~bpo40+1 or newer of dietlibc

 -- Micah Anderson <micah@debian.org>  Tue, 13 Jan 2009 12:12:23 -0700

util-vserver (0.30.216~r2772-6) unstable; urgency=medium

  * Added patch from Andres Mejia to fix bashisms (Closes: #486060)
  * Build on powerpc without the alternative syscalls, to fix
    vattribute: vc_set_ccaps(): Interrupted system call problem.
    Thanks to John H. Robinson, IV" <jaqque@debian.org> (Closes: #508569)

 -- Micah Anderson <micah@debian.org>  Fri, 28 Nov 2008 15:59:56 -0500

util-vserver (0.30.216~r2772-5) unstable; urgency=low

  * Added debian/patches/70vserverbuild_cronfix.dpatch to fix
    disabled cron problem
  * Added debian/patches/80supportapiandcaps.dpatch to update the 
    API to fix the 2.6.27 regression (Closes: #505521) and solves 
    the capability inversion issue. (Closes: #506949)
  * Added Swedish translation, thanks Martin Bagge (Closes: #504033)

 -- Micah Anderson <micah@debian.org>  Fri, 28 Nov 2008 11:13:39 -0500

util-vserver (0.30.216~r2772-4~bpo40+2) etch-backports; urgency=low

  * Added missing dependency on schedutils

 -- Micah Anderson <micah@debian.org>  Sat,  8 Nov 2008 20:10:20 +0000

util-vserver (0.30.216~r2772-4~bpo40+1) etch-backports; urgency=low

  * Backport testing version for backports.org
  * Change build-dep on dietlibc-dev to use the bpo version

 -- Micah Anderson <micah@debian.org>  Sat,  8 Nov 2008 19:49:03 +0000

util-vserver (0.30.216~r2772-4) unstable; urgency=low

  * Added /dev/shm to be created on vserver build for POSIX 
    compliance (Closes: #504780)
  * Added debian/patches/60securecaps.dpatch to change the default 
    policy to assume all capabilities are unsafe, unless they are
    specifically listed.
  * Fix incorrect $(CURDIR) usage in debian/rules (Closes: #307980)

 -- Micah Anderson <micah@debian.org>  Fri, 07 Nov 2008 13:13:29 -0500

util-vserver (0.30.216~r2772-3) unstable; urgency=low

  * Add versioned depends on util-linux (Closes: #499857) 

 -- Micah Anderson <micah@debian.org>  Sat, 04 Oct 2008 12:52:21 -0400

util-vserver (0.30.216~r2772-2) unstable; urgency=low

  * Fix initscript stop blocking reboot/shutdown (Closes: #496803)
  * Add 20securemount.dpatch and 30secmount_dev_fix.dpatch
    to fix -ro bindmounts becoming -rw

 -- Micah Anderson <micah@debian.org>  Mon, 25 Aug 2008 13:07:42 -0400

util-vserver (0.30.216~r2772-1) unstable; urgency=medium

  * Update to version that will work with the lenny kernel
  * Removed patches/50fix-syslogd-ignore-mask.dpatch as this has
    been incorporated upstream

 -- Micah Anderson <micah@debian.org>  Mon, 25 Aug 2008 12:40:21 -0400

util-vserver (0.30.216~r2750-3) unstable; urgency=medium

  * Fix incorrect removal of rsyslog in inittpost resulting
    in guests not starting properly, due to lenny release goal
    of switching to rsyslog (Closes: #491072)

 -- Micah Anderson <micah@debian.org>  Fri, 25 Jul 2008 15:48:00 -0400

util-vserver (0.30.216~r2750-2) unstable; urgency=medium

  * Make configure script executable for buildds (Closes: #492093)

 -- Micah Anderson <micah@debian.org>  Fri, 25 Jul 2008 15:31:18 -0400

util-vserver (0.30.216~r2750-1) unstable; urgency=medium

  * Upgrade to svn revision 2750
  * Remove unneeded 20newapi.dpatch
  * Updated standards version to 3.8.0 (no changes)

 -- Micah Anderson <micah@debian.org>  Sat, 19 Jul 2008 16:44:37 -0400

util-vserver (0.30.215-4) unstable; urgency=low

  * add patch 20newapi.dpatch which supports new kernel 
    API headers this is needed because debian's 
    linux-libc-dev is at 2.6.25 (Closes: #484479)

 -- Micah Anderson <micah@debian.org>  Sun, 01 Jun 2008 23:43:01 -0400

util-vserver (0.30.215-3) unstable; urgency=low

  * Remove bashism from initscript (Closes: #472889)

 -- Micah Anderson <micah@debian.org>  Thu, 27 Mar 2008 12:04:28 -0400

util-vserver (0.30.215-2) unstable; urgency=low

  * Bump version due to upload to TPU: epic fail

 -- Micah Anderson <micah@debian.org>  Tue, 18 Mar 2008 14:21:48 -0400

util-vserver (0.30.215-1) unstable; urgency=low

  * New upstream release
  * Update update-rc.d remove call to remove the right startup links
  * Removed 20freshenvserverman, 30createvserver-buildman as these 
    have moved upstream
  * Updated testfs.sh example script to version 18
  * Add --no-restart-on-upgrade to debian/rules dh_installinit 
    (Closes: #456996)
  * Updated debian/copyright to have correct upstream URL and copyright 
    info
  * Added -n to debian/rules dh_makeshlibs and dh_installdebconf so 
    duplicate updaterc.d calls in package scripts are removed

 -- Micah Anderson <micah@debian.org>  Mon, 17 Mar 2008 12:21:06 -0400

util-vserver (0.30.214-6) unstable; urgency=low

  * Add Homepage, Vcs-Browser, Vcs-Svn fields to debian/control
  * Add checks to make sure the .pkg and .hash directories are created
  * Add chroot barrier on .pkg and .hash directory
  * Adjust debian/watch file to find packages properly (Closes: #449670) 
  * Actually add the vserver-build man page 
  * Updated Standards version to 3.7.3 (no changes)
  * Remove Suggests on kernel-patch-vserver
  * Fixed some lintian errors

 -- Micah Anderson <micah@debian.org>  Fri, 07 Dec 2007 12:36:09 -0500

util-vserver (0.30.214-5) unstable; urgency=medium

  * Added patch to make default/util-vserver options work with
    both 'yes' and 'true, also removes extra $ in message due
    to bashism (Closes: #448439)
  * Fixed bad test in preinst (Closes: #448797)

 -- Micah Anderson <micah@debian.org>  Tue, 30 Oct 2007 10:52:51 -0400

util-vserver (0.30.214-4) unstable; urgency=medium

  * Fix incorrectly created directory
    /usr/lib/util-vserver/distributions/etch (Closes: #447296)
  * Remove /etc/vservers.conf from being distributed, this functionality is
    in /etc/defaults/util-vserver in Debian (Closes: #444798)


=== debian/control ===
Source: util-vserver
Section: net
Priority: optional
Maintainer: Micah Anderson <micah@debian.org>
Uploaders: Ola Lundqvist <opal@debian.org>
# Reasons for the Build-Depends:
# * Legacy scripts require:
#     net-tools because of nameif
#     vlan      because of vconfig
#     dietlibc  the libc NSS should not be used
#     beecrypt2-dev to build vhashify
#     e2fslibs-dev needed for 'FS_IOC_GETFLAGS' declaration
Build-Depends: debhelper (>= 4.1.16e), gawk, autotools-dev, dietlibc-dev (>= 0.31-1.2~bpo40+1), net-tools, vlan, iptables, wget, procps, module-init-tools, autoconf (>= 2.52), libbeecrypt6-dev (>= 4.1.2-2), po-debconf, dpatch, libtool, automake1.9, e2fslibs-dev, schedutils
Standards-Version: 3.7.3
Homepage: http://savannah.nongnu.org/projects/util-vserver/
Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-vserver/util-vserver/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vserver/util-vserver/trunk/

Package: util-vserver
Architecture: any
Depends: ${shlibs:Depends}, iproute, net-tools, make, debconf, schedutils
Suggests: linux-image-2.6 (>= 2.6.16-17), vlan, iptables, wget, procps, module-init-tools, yum
Recommends: binutils, debootstrap
Conflicts: vserver, vpopmail-bin
Replaces: vserver
Description: user-space tools for Linux-VServer virtual private servers
 The util-vserver project provides the user-space tools for creating and
 managing the virtualization technology known as Linux-Vserver guests. 
 Linux-Vserver guests are a significantly advanced jail mechanism running 
 inside a host GNU-Linux server. Linux-Vserver guests can be used to 
 securely partition resources such as processes, memory, network; logically 
 separate services or run entirely different distributions all on a single 
 system. Virtual private servers are separated from each other through security 
 contexts, and as a result are completely unaware of each other, or of the 
 host itself. 
 .
 http://linux-vserver.org/
 http://ftp.linux-vserver.org/pub/utils/util-vserver/

=== debian/rules ===
--- 
+++ 
@@ -25,21 +25,22 @@
 
 # Some checks to avoid building on some arches as there is no reserved syscalls
 # for the Linux kernel on this arch.
-ifeq ($(DEB_HOST_ARCH),arm)
-    do_not_buid_this_arch
-endif
+#ifeq ($(DEB_HOST_ARCH),arm)
+#	do_not_buid_this_arch
+#endif
 
-#ifeq ($(DEB_HOST_ARCH),powerpc)
+ifeq ($(DEB_HOST_ARCH),powerpc)
 #    # dietlibc's sys/types.h tests for "powerpc", not "__powerpc__"
 #    CFLAGS += -Dpowerpc
-#endif
+     confflags += --disable-alternative-syscalls
+endif
 
 # Commented out as it do no longer build with this...
 ifeq ($(DEB_HOST_ARCH),sparc)
     # Targetting at older sparc's causes compilation errors. Steve Langasek
     # says this works and it is anyway the oldest sparc generation we
     # support in Debian (or kernel/glibc).
-    CFLAGS += -mcpu=v8
+	CFLAGS += -mcpu=v8
 endif
 
 ifeq ($(DEB_HOST_ARCH),hppa)
@@ -61,13 +62,14 @@
 # Fix to make it build on hppa, mipsel and s390
 # If this is not fixed, gcc is invoked as a cross compiler.
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
-   confflags += --build $(DEB_HOST_GNU_TYPE)
+	confflags += --build $(DEB_HOST_GNU_TYPE)
 else
-   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
 config.status: configure
 	dh_testdir
+#	$(MAKE) -f Makefile.svn
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	if [ -f config.sub ];then mv config.sub config.sub.orig;fi
 	ln -s /usr/share/misc/config.sub config.sub
@@ -77,13 +79,13 @@
 	ln -s /usr/share/misc/config.guess config.guess
 endif
 	# Add here commands to configure the package.
+	chmod +x ./configure
 	CFLAGS="$(CFLAGS)" ./configure $(confflags) \
 				--prefix=/usr --enable-release \
 				--mandir=\$${prefix}/share/man \
 				--infodir=\$${prefix}/share/info \
 				--sysconfdir=/etc --enable-dietlibc \
 				--localstatedir=/var \
-				--enable-apis=NOLEGACY \
 				--with-vrootdir=/var/lib/vservers
 
 build: patch build-stamp
@@ -92,7 +94,6 @@
 	dh_testdir
 	# Add here commands to compile the package.
 	$(MAKE) $(MAKE_OPTS) all
-	$(MAKE) -C man
 
 	touch build-stamp
 
@@ -102,8 +103,8 @@
 	rm -f build-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f config.status config.log config.sub config.guess
 	if [ -f config.sub.orig ];then \
 		rm -f config.sub; \
@@ -135,17 +136,21 @@
 	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/vservers-default
 	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/rebootmgr
 	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/vprocunhide
+	rm -f $(CURDIR)/debian/util-vserver/etc/vservers.conf
 
-	# have to remove v_ init scripts
+	# remove legacy binaries
+	rm -rf $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/legacy
+	rm -f $(CURDIR)/debian/util-vserver/usr/sbin/vserver-copy
+
+	# legacy man pages
+	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/distrib-info.8
+	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/vserver-copy.8
+	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/rebootmgr.8
+	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/vps.*
+
+	# legacy initscripts
 	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/v_*
-	# remove newvserver.defaults (because that is linuxconf and that is not supported in debian).
-	#rm -f $(CURDIR)/debian/util-vserver/etc/vservers/newvserver.defaults
-#	# Move util-vserver-vars to /etc/vservers as it is needed for legacy support
-#	grep -v "Id: util-vserver-vars.pathsubst,v" \
-#		$(CURDIR)/debian/util-vserver/usr/lib/util-vserver/util-vserver-vars \
-#		> $(CURDIR)/debian/util-vserver/etc/vservers/util-vserver-vars
-#	rm -f $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
-#	ln -s /etc/vservers/util-vserver-vars $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
+
 	# Fix for symlinks in /etc/vservers/.defaults
 	rm -f $(CURDIR)/debian/util-vserver/etc/vservers/.defaults/vdirbase
 	rm -f $(CURDIR)/debian/util-vserver/etc/vservers/.defaults/run.rev
@@ -154,13 +159,7 @@
 	's|^(.*DEFAULT_VSERVERDIR=).*$$|$$1"/etc/vservers/.defaults/vdirbase"|;' \
 		debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
 
-	# Remove development files as they are not supported upstream in a
-	# proper way.
-#	rm -rf $(CURDIR)/debian/util-vserver/usr/include/
-#	rm -f $(CURDIR)/debian/util-vserver/usr/lib/*.so*
-#	rm -f $(CURDIR)/debian/util-vserver/usr/lib/*.a
-#	rm -rf $(CURDIR)/debian/util-vserver/usr/lib/pkgconfig
-
+	# Install bash completion
 	mkdir -p $(CURDIR)/debian/util-vserver/etc/bash_completion.d
 	cp $(CURDIR)/debian/vserver.bash_completion $(CURDIR)/debian/util-vserver/etc/bash_completion.d/vserver
 
@@ -179,14 +178,14 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-	dh_installdebconf	
-	dh_installinit
+	dh_installdebconf -n
+	dh_installinit -r
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs
+	dh_makeshlibs -n
 	dh_installdeb
 	dh_shlibdeps -L util-vserver -l debian/util-vserver/usr/lib
 	dh_gencontrol

=== debian/watch ===
version=2

http://ftp.linux-vserver.org/pub/utils/util-vserver/ util-vserver-(.*)\.tar\.bz2

## util-vserver 0.30.216-pre2864

=== debian/changelog ===
util-vserver (0.30.216-pre2864-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fix bashisms in helper scripts (Closes: #530995)
  
 -- Micah Anderson <micah@debian.org>  Tue, 13 Apr 2010 12:36:17 -0400

util-vserver (0.30.216-pre2864-1) unstable; urgency=low

  * New upstream pre-release (Closes: #542751)
  
 -- Micah Anderson <micah@debian.org>  Sat, 28 Nov 2009 18:30:19 -0500

util-vserver (0.30.216~r2855-1) unstable; urgency=low

  * Upgrade to latest svn snapshot
  * Upgrade standards version: no changes
  * Remove patches/70vserverbuild_cronfix.dpatch
  * Fix pending l10n issues. Debconf translations:
    . Japanese (Hideki Yamane (Debian-JP)).  Closes: #512856
    . Italian (Luca Monducci).  Closes: #551921
    . Russian (Yuri Kozlov).  Closes: #537916
    . Basque (Piarres Beobide).  Closes: #553154
    . Finnish (Esko Arajärvi).  Closes: #553651

 -- Micah Anderson <micah@debian.org>  Thu, 05 Nov 2009 16:00:30 -0500

util-vserver (0.30.216~r2842-2) unstable; urgency=low

  * Added pkg-config to build-depends to fix FTBS (Closes: #536680)

 -- Micah Anderson <micah@debian.org>  Mon, 20 Jul 2009 06:44:38 -0400

util-vserver (0.30.216~r2842-1) unstable; urgency=low

  * Remove /var/run directories from the package, they are managed
    by the initscript
  * Add set -e to util-vserver.preinst
  * Removed var/lock/sybsys, var/run/vservers.rev var/run/vservers 
    and var/run/vshelper from debian/dirs as these are managed by 
    the initscript
  * Added ${misc:Depends} to Depends
  * Update debhelper compatibility to 5
  * Update standards version (no changes)
  * Update Build-depends for new libbeecrypt-dev name (Closes: #536452).
  * Update Build-depends to also build against libnss3-dev
  * Remove 20securemount.dpatch, 30secmount_dev_fix.dpatch, 50dev_shm.dpatch
    60securecaps.dpatch, 80supportapiandcaps.dpatch as these are now part of 
    the new snapshot
  * Update to newer upstream snapshot (Closes: #524977)

 -- Micah Anderson <micah@debian.org>  Thu, 09 Jul 2009 22:49:33 -0400

util-vserver (0.30.216~r2772-7) unstable; urgency=low

   * Remove owned and unowned files after purge (Closes:#527065)            
     Thanks to Andrew Lee for the patch!  

 -- Micah Anderson <micah@debian.org>  Sun, 14 Jun 2009 16:47:10 +0000

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
 #     dietlibc  the libc NSS should not be used
 #     beecrypt2-dev to build vhashify
 #     e2fslibs-dev needed for 'FS_IOC_GETFLAGS' declaration
-Build-Depends: debhelper (>= 4.1.16e), gawk, autotools-dev, dietlibc-dev (>= 0.31-1.2~bpo40+1), net-tools, vlan, iptables, wget, procps, module-init-tools, autoconf (>= 2.52), libbeecrypt6-dev (>= 4.1.2-2), po-debconf, dpatch, libtool, automake1.9, e2fslibs-dev, schedutils
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 5), gawk, autotools-dev, dietlibc-dev (>= 0.31-1.1), net-tools, vlan, iptables, wget, procps, module-init-tools, autoconf (>= 2.52), libbeecrypt-dev (>= 4.1.2-2), po-debconf, quilt (>= 0.40), libtool, automake1.9, e2fslibs-dev, libnss3-dev, pkg-config
+Standards-Version: 3.8.3
 Homepage: http://savannah.nongnu.org/projects/util-vserver/
 Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-vserver/util-vserver/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-vserver/util-vserver/trunk/
 
 Package: util-vserver
 Architecture: any
-Depends: ${shlibs:Depends}, iproute, net-tools, make, debconf, schedutils
+Depends: ${misc:Depends}, ${shlibs:Depends}, iproute, net-tools, make, debconf, util-linux (>= 2.13.1.1-1)
 Suggests: linux-image-2.6 (>= 2.6.16-17), vlan, iptables, wget, procps, module-init-tools, yum
 Recommends: binutils, debootstrap
 Conflicts: vserver, vpopmail-bin

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 export DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-include /usr/share/dpatch/dpatch.make
+include /usr/share/quilt/quilt.make
 
 # (Most of) the files this concerns belong to /usr/lib/util-vserver.
 # To keep referencing simple, and because we're not even sure there
@@ -158,6 +158,10 @@
 	perl -pi -e \
 	's|^(.*DEFAULT_VSERVERDIR=).*$$|$$1"/etc/vservers/.defaults/vdirbase"|;' \
 		debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
+
+	# remove the var directories that are managed by the initscript and are otherwise violating
+	# policy 9.3.2
+	rm -rf $(CURDIR)/debian/util-vserver/var/run
 
 	# Install bash completion
 	mkdir -p $(CURDIR)/debian/util-vserver/etc/bash_completion.d

## util-vserver 0.30.216-pre3054

=== debian/changelog ===
util-vserver (0.30.216-pre3054-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS with alternative syscalls disabled (Closes: #737629).
  * Update debian/watch to check also for pre-releases.
  * Switch to debhelper 9:
    - Enable hardening flags.
    - Run upstream unit tests at build time.
  * Run autoreconf before build.
  * Build python bindings.
  * Disable mounting /tmp as tmpfs by default.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 15 Mar 2014 18:40:09 +0100

util-vserver (0.30.216-pre3038-1) unstable; urgency=low

  * New mantainer
  * New upstream release (Closes: #605473) (Closes: #648160)
  * Update debian/copyright and switch it to dep5 format (Closes: #586510)
  * Change build dependency on automake1.9 (obsoleted) to automake

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Wed, 15 Jan 2014 14:02:15 +0100

util-vserver (0.30.216-pre2864-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #630368
    - Indonesian (Mahyuddin Susanto).  Closes: #658470
    - Polish (Michał Kułach).  Closes: #658506

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Feb 2012 08:11:44 +0100

=== debian/control ===
Source: util-vserver
Section: net
Priority: optional
Maintainer: Carlos Alberto Lopez Perez <clopez@igalia.com>
# Reasons for the Build-Depends:
# * Legacy scripts require:
#     net-tools because of nameif
#     vlan      because of vconfig
#     dietlibc  the libc NSS should not be used
#     beecrypt2-dev to build vhashify
#     e2fslibs-dev needed for 'FS_IOC_GETFLAGS' declaration
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), gawk, autotools-dev, dietlibc-dev (>= 0.31-1.1),
 net-tools, vlan, iptables, wget, procps, module-init-tools, autoconf (>= 2.52),
 libbeecrypt-dev (>= 4.1.2-2), po-debconf, quilt (>= 0.40), libtool, automake,
 e2fslibs-dev, libnss3-dev, pkg-config, dh-autoreconf, python-dev, ctags
Standards-Version: 3.9.5.0
Homepage: http://savannah.nongnu.org/projects/util-vserver/
Vcs-Git: git://anonscm.debian.org/pkg-vserver/pkg-vserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vserver/pkg-vserver.git

Package: util-vserver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, iproute, net-tools, make, debconf, util-linux (>= 2.13.1.1-1)
Suggests: linux-image-2.6 (>= 2.6.16-17), vlan, iptables, wget, procps, module-init-tools, yum, htop, iotop
Recommends: binutils, debootstrap, python
Conflicts: vserver, vpopmail-bin
Replaces: vserver
Description: user-space tools for Linux-VServer virtual private servers
 The util-vserver project provides the user-space tools for creating and
 managing the virtualization technology known as Linux-Vserver guests.
 Linux-Vserver guests are a significantly advanced jail mechanism running
 inside a host GNU-Linux server. Linux-Vserver guests can be used to
 securely partition resources such as processes, memory, network; logically
 separate services or run entirely different distributions all on a single
 system. Virtual private servers are separated from each other through security
 contexts, and as a result are completely unaware of each other, or of the
 host itself.
 .
 http://linux-vserver.org/
 http://ftp.linux-vserver.org/pub/utils/util-vserver/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),sparc)
    # Targetting at older sparc's causes compilation errors. Steve Langasek
    # says this works and it is anyway the oldest sparc generation we
    # support in Debian (or kernel/glibc).
	CFLAGS += -mcpu=v8
endif

# Fix to make it build on hppa, mipsel and s390
# If this is not fixed, gcc is invoked as a cross compiler.
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif


%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure $(confflags) \
				--disable-alternative-syscalls \
				--prefix=/usr --enable-release \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
				--libexecdir=\$${prefix}/lib \
				--datarootdir=\$${prefix}/lib \
				--sysconfdir=/etc --enable-dietlibc \
				--localstatedir=/var \
				--with-vrootdir=/var/lib/vservers

override_dh_auto_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/util-vserver.
	$(MAKE) $(MAKE_OPTS) DESTDIR=$(CURDIR)/debian/util-vserver install install-distribution
	# Fixes
	chmod +x $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/distributions/template/initpre
	chmod +x $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/distributions/template/initpost
	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/vservers-legacy
	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/vservers-default
	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/rebootmgr
	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/vprocunhide
	rm -f $(CURDIR)/debian/util-vserver/etc/vservers.conf
	# remove legacy binaries
	rm -rf $(CURDIR)/debian/util-vserver/usr/lib/util-vserver/legacy
	rm -f $(CURDIR)/debian/util-vserver/usr/sbin/vserver-copy
	# legacy man pages
	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/distrib-info.8
	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/vserver-copy.8
	rm -f $(CURDIR)/debian/util-vserver/usr/share/man/man8/rebootmgr.8
	# legacy initscripts
	rm -f $(CURDIR)/debian/util-vserver/etc/init.d/v_*
	# Fix for symlinks in /etc/vservers/.defaults
	rm -f $(CURDIR)/debian/util-vserver/etc/vservers/.defaults/vdirbase
	rm -f $(CURDIR)/debian/util-vserver/etc/vservers/.defaults/run.rev
	# Rewrite util-vserver-vars
	perl -pi -e \
	's|^(.*DEFAULT_VSERVERDIR=).*$$|$$1"/etc/vservers/.defaults/vdirbase"|;' \
		debian/util-vserver/usr/lib/util-vserver/util-vserver-vars
	# remove the var directories that are managed by the initscript and are otherwise violating
	# policy 9.3.2
	rm -rf $(CURDIR)/debian/util-vserver/var/run
	# Install bash completion
	mkdir -p $(CURDIR)/debian/util-vserver/etc/bash_completion.d
	cp $(CURDIR)/debian/vserver.bash_completion $(CURDIR)/debian/util-vserver/etc/bash_completion.d/vserver
	# Lintian overrides
	mkdir -p $(CURDIR)/debian/util-vserver/usr/share/lintian/overrides
	install -m644 debian/util-vserver.override $(CURDIR)/debian/util-vserver/usr/share/lintian/overrides/util-vserver
	# Clean libtool la files
	find $(CURDIR)/debian/util-vserver -type f -name "*.la" -delete

override_dh_auto_clean:
	rm -f $(CURDIR)/scripts/vshelper
	dh_auto_clean

override_dh_installinit:
	dh_installinit -r

override_dh_installdebconf:
	dh_installdebconf -n

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_makeshlibs:
	dh_makeshlibs -n -Xrpm

override_dh_shlibdeps:
	dh_shlibdeps -L util-vserver -l debian/util-vserver/usr/lib

override_dh_auto_test:
	# If tests fail print the test-suite.log file, but don't abort the build
	@if ! dh_auto_test; then \
		echo "WARNING: Tests failed!"; \
		echo "------------------------------"; \
		echo " Printing file test-suite.log"; \
		echo "------------------------------"; \
		if test -f $(CURDIR)/test-suite.log; then \
			cat $(CURDIR)/test-suite.log; \
		else \
			echo "ERROR: Can't find file $(CURDIR)/test-suite.log"; \
		fi; \
		echo "------------------------------"; \
		echo "  End of file test-suite.log"; \
		echo "------------------------------"; \
	fi

=== debian/watch ===
version=3
http://ftp.linux-vserver.org/pub/utils/util-vserver/ util-vserver-(.*)\.tar\.bz2
http://people.linux-vserver.org/~dhozac/t/uv-testing/ util-vserver-(.*)\.tar\.bz2

## util-vserver 0.30.216-pre3120

=== debian/changelog ===
util-vserver (0.30.216-pre3120-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix postrm failure introduced in the previous upload.
    (Closes: #850765)
  * Add Brazilian Portuguese debconf translation
    from Adriano Rafael Gomes. (Closes: #770362)

 -- Adrian Bunk <bunk@debian.org>  Tue, 17 Jan 2017 16:03:26 +0200

util-vserver (0.30.216-pre3120-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Built-Using: dietlibc (Closes: #847580)
  * Activate ldconfig trigger instead of calling ldconfig directly
    (Lintian errors)
  * Add lsb-base dependency (Lintian error)
  * Depend on iproute2 (Closes: #753739)

 -- Hilko Bengen <bengen@debian.org>  Sun, 18 Dec 2016 22:17:59 +0100

util-vserver (0.30.216-pre3120-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch dependencies from module-init-tools to kmod. (Closes: #811190)
  * Switch crypto backend from beecrypt to nss to allow beecrypt to be
    removed. (Closes: #606607)

 -- James Cowgill <jcowgill@debian.org>  Thu, 24 Mar 2016 11:46:00 +0000

util-vserver (0.30.216-pre3120-1) unstable; urgency=low

  * New upstream release.
  * Upgrade Standards-Version.
  * Move bash completition files to /usr/share/bash-completion/completions.
  * util-vserver sysvinit init script: Now it mounts /dev/cgroup accordingly
    if the option is set on /etc/default/util-vserver and the system supports
    it. It also loads vserver device maps by default if there is any configured.
  * Disable systemd support for now because is untested and enabling it would
    cause a build error: https://github.com/linux-vserver/util-vserver/issues/22
  * Add next Debian relase codename (Stretch) to the sid_style list.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Wed, 02 Sep 2015 18:48:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
 #     net-tools because of nameif
 #     vlan      because of vconfig
 #     dietlibc  the libc NSS should not be used
-#     beecrypt2-dev to build vhashify
 #     e2fslibs-dev needed for 'FS_IOC_GETFLAGS' declaration
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), gawk, autotools-dev, dietlibc-dev (>= 0.31-1.1),
- net-tools, vlan, iptables, wget, procps, module-init-tools, autoconf (>= 2.52),
- libbeecrypt-dev (>= 4.1.2-2), po-debconf, quilt (>= 0.40), libtool, automake,
+ net-tools, vlan, iptables, wget, procps, kmod, autoconf (>= 2.52),
+ po-debconf, quilt (>= 0.40), libtool, automake,
  e2fslibs-dev, libnss3-dev, pkg-config, dh-autoreconf, python-dev, ctags
-Standards-Version: 3.9.5.0
+Standards-Version: 3.9.6.0
 Homepage: http://savannah.nongnu.org/projects/util-vserver/
 Vcs-Git: git://anonscm.debian.org/pkg-vserver/pkg-vserver.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vserver/pkg-vserver.git
 
 Package: util-vserver
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, iproute, net-tools, make, debconf, util-linux (>= 2.13.1.1-1)
-Suggests: linux-image-2.6 (>= 2.6.16-17), vlan, iptables, wget, procps, module-init-tools, yum, htop, iotop
+Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6), iproute2, net-tools, make, debconf, util-linux (>= 2.13.1.1-1)
+Suggests: linux-image-2.6 (>= 2.6.16-17), vlan, iptables, wget, procps, kmod, yum, htop, iotop
 Recommends: binutils, debootstrap, python
 Conflicts: vserver, vpopmail-bin
 Replaces: vserver
+Built-Using: ${misc:Built-Using},
 Description: user-space tools for Linux-VServer virtual private servers
  The util-vserver project provides the user-space tools for creating and
  managing the virtualization technology known as Linux-Vserver guests.

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,8 @@
 				--datarootdir=\$${prefix}/lib \
 				--sysconfdir=/etc --enable-dietlibc \
 				--localstatedir=/var \
-				--with-vrootdir=/var/lib/vservers
+				--with-vrootdir=/var/lib/vservers \
+				--disable-systemd
 
 override_dh_auto_install:
 	dh_testdir
@@ -75,8 +76,8 @@
 	# policy 9.3.2
 	rm -rf $(CURDIR)/debian/util-vserver/var/run
 	# Install bash completion
-	mkdir -p $(CURDIR)/debian/util-vserver/etc/bash_completion.d
-	cp $(CURDIR)/debian/vserver.bash_completion $(CURDIR)/debian/util-vserver/etc/bash_completion.d/vserver
+	mkdir -p $(CURDIR)/debian/util-vserver/usr/share/bash-completion/completions
+	cp $(CURDIR)/debian/vserver.bash_completion $(CURDIR)/debian/util-vserver/usr/share/bash-completion/completions/vserver
 	# Lintian overrides
 	mkdir -p $(CURDIR)/debian/util-vserver/usr/share/lintian/overrides
 	install -m644 debian/util-vserver.override $(CURDIR)/debian/util-vserver/usr/share/lintian/overrides/util-vserver
@@ -97,7 +98,7 @@
 	dh_installchangelogs ChangeLog
 
 override_dh_makeshlibs:
-	dh_makeshlibs -n -Xrpm
+	dh_makeshlibs -Xrpm
 
 override_dh_shlibdeps:
 	dh_shlibdeps -L util-vserver -l debian/util-vserver/usr/lib
@@ -118,3 +119,7 @@
 		echo "  End of file test-suite.log"; \
 		echo "------------------------------"; \
 	fi
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vmisc:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W dietlibc-dev)"
